Bug 956120 - Review Request: zocial-fonts - Css Social Buttons Fonts
Summary: Review Request: zocial-fonts - Css Social Buttons Fonts
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-04-24 10:21 UTC by Alec Leamas
Modified: 2013-05-06 17:54 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-05-06 17:54:17 UTC


Attachments (Terms of Use)

Description Alec Leamas 2013-04-24 10:21:22 UTC
Spec URL: http://leamas.fedorapeople.org/zocial/zocial-fonts.spec
SRPM URL: http://leamas.fedorapeople.org/zocial/zocial-fonts-0.3-1.fc18.src.rpm
Description: 
Zocial is a CSS3 social buttons set and vector icons with @font-face as a
Sass mixin and usable as a Compass extension. This package is only the
fonts.

Fedora Account System Username: leamas

rpmlint *.spec /home/leamas/rpmbuild/SRPMS/zocial-fonts-0.3-1.fc18.src.rpm
zocial-fonts.src: W: spelling-error %description -l en_US mixin -> mixing, mix in, mix-in
1 packages and 1 specfiles checked; 0 errors, 1 warnings.

Comment 1 David Beveridge 2013-04-24 12:21:41 UTC
Your changelog version in the spec file does not match the software version

zocial-fonts.noarch: W: spelling-error %description -l en_US mixin -> mixing, mix in, mix-in
zocial-fonts.noarch: W: incoherent-version-in-changelog 20121031-1 ['0.3-1.fc18', '0.3-1']
zocial-fonts.noarch: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 3 warnings.


try
%changelog
* Mon Apr 23 2013 Alec Leamas <leamas@nowhere.net> - 0.3.1
- Initial release

Comment 2 Alec Leamas 2013-04-24 12:41:20 UTC
Or ... 0.3-1 :) But thanks, something went wrong while copy-pasting three packages.

Comment 3 Paul Flo Williams 2013-04-25 14:05:13 UTC
1. As Zocial fonts started as a separate project, are we sure that the MIT licence covers them? I'm just slightly concerned that the font metadata includes the statement: "Copyright 2011 Adobe Systems Incorporated. All rights reserved."

2. The summary: "A css3 Social Buttons Sass Framework" doesn't describe the font.

Comment 4 Alec Leamas 2013-04-25 14:21:56 UTC
1(In reply to comment #3)
> 1. As Zocial fonts started as a separate project, are we sure that the MIT
> licence covers them? I'm just slightly concerned that the font metadata
> includes the statement: "Copyright 2011 Adobe Systems Incorporated. All
> rights reserved."
I'm on thin ice here, have no more information than what's in the upstream url (https://github.com/adamstac/zocial). That said, a plain copyright from Adobe shouldn't really change anything, should it?

Also, it's obvious that these fonts are handled as "free" on the web, they are sort of wide-spread. Basically, this boils down to that the license markup is wrong since it doesn't mention Adobe, I guess. 

Please enlighten a font newbie: how do I display font metadata? 

> 2. The summary: "A css3 Social Buttons Sass Framework" doesn't describe the
> font.

You are right, will fix (same links)

Comment 5 Alec Leamas 2013-04-25 15:26:57 UTC
Finally some progress

First, zocial is not present in http://www.adobe.com/products/type/font-licensing.html. This site seem to cover all fonts which have some kind of restricted use. 

There is no other match when looking in the Adobe site for zocial.

I think I have found the ultimate upstream https://github.com/samcollins/css-social-buttons. I have evidence on the web that Adobe has been using this font, but Sam Collins seems to be the original author. 

Links updated in-place (but with a changelog this time).

Filing a question to upstream why the Adobe copyright is in the metadata:
https://github.com/samcollins/css-social-buttons/issues/55. That said, I don't see this as a problem right now.

Comment 8 Alec Leamas 2013-05-06 17:54:17 UTC
Blocked by fedora-legal: http://lists.fedoraproject.org/pipermail/legal/2013-May/002165.html. Closing.


Note You need to log in before you can comment on or make changes to this bug.